> For the complete documentation index, see [llms.txt](https://developer.emporix.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.emporix.io/changelog/archive/changelog-2025/2025-03-21-sequential-id.md).

# 2025-03-21: Sequential ID Service - siteCode query param

## Overview

Query param `siteCode` has been added to endpoints responsible for generating next ids. The `siteCode` is used to resolve certain placeholders. Placeholders such as `__year__`, `__month__`, `__day__`, `__hour__`, `__minute__`, `__second__` and `__country__`, which are defined in the schema, can have some default values computed when their counterparts are missing in the request body. The default values are derived from the site. Specifically:

* All date-related placeholders are computed based on the `site.homeBase.timezone` field.
* The country placeholder is replaced with the value of the `site.homeBase.address.country` field.

If these values are missing in a site configuration, the following defaults are used:

* `UTC` for timezone
* `DE` for country

## Updated endpoints

| Endpoint                                                                                                                                                                                                                 | Description                   |
| ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ | ----------------------------- |
| [Creating a nextId](https://developer.emporix.io/api-documentation/api-guides/utilities/sequential-id/api-reference/sequential-ids-management#post-sequential-id-sequenceschemas-sequenceschema-nextids)                 | Query param `siteCode` added. |
| [Creating a nextId for schema type](https://developer.emporix.io/api-documentation/api-guides/utilities/sequential-id/api-reference/sequential-ids-management#post-sequential-id-tenant-schemas-types-schematype-nextid) | Query param `siteCode` added. |
| [Creating a nextId for schema types](https://developer.emporix.io/api-documentation/api-guides/utilities/sequential-id/api-reference/sequential-ids-management#post-sequential-id-sequenceschemabatch-nextids)           | Query param `siteCode` added. |

## Known problems

There are no known problems.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.emporix.io/changelog/archive/changelog-2025/2025-03-21-sequential-id.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
